Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003436TestLinkUsers and Rightspublic2010-05-06 02:182010-07-02 18:35
Reportermedienwolf 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 4 
Fixed in Version1.9 Beta 5 
Summary0003436: Role Mgmt - add "Inventory Mgmt" to any user fails
DescriptionTrying to enable the inventory mgmt with TL 1.9.4 i discovered, that
inventory mgmt cannot be enabled for e.g. admin role and tester role.
The checkbox can be enabled and the action seems ok,
however when again opening the admin role, the checkbox is again disabled.
Also, the feature doesn't show up in the first page as long as the role doesn't have the right. [i had patched the left main page to see whether this is related
to the rights management and it was]
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0009926)
fman (administrator)
2010-05-06 03:52

tested using XAMPP Bundle with 1.9 beta 4 - ok

1. login as admin
2. menu administrate
3. view roles
4. choose admin role
5. uncheck inventory management
6. save
7. choose admin role
   check is UNCHECKED
8. uncheck inventory READ ONLY ACCESS
9. save
7. choose admin role
   BOTH checks are UNCHECKED
(0009930)
medienwolf (reporter)
2010-05-06 05:32

Fman, here is what i did

1. login as admin
2. menu administrate
3. view roles
4. choose admin role
5. check inventory management
6. save
7. choose admin role
   check is UNCHECKED INSTEAD of CHECKED
8. check inventory READ ONLY ACCESS
9. save
7. choose admin role
   BOTH checks are UNCHECKED INSTEAD OF CHECKED
(0009945)
fman (administrator)
2010-05-07 01:43

tested using steps on note 9930 XAMPP Bundle with 1.9 beta 4 - ok
NO MIGRATION from other TL version done.
I suggest get XAMPP bundle and retest
(0010166)
medienwolf (reporter)
2010-05-26 21:24

Just looking to some issues that i saw i get the impression that
my database from TL 1.9.3 (?) isn't compatible.
Is there another field that is different that i can add manually?
Or any conversion capability between old and new format?

Thanks
Hans-Joerg
(0010496)
fman (administrator)
2010-07-02 18:35

1.9 Beta 5 released

- Issue History
Date Modified Username Field Change
2010-05-06 02:18 medienwolf New Issue
2010-05-06 03:45 fman Status new => assigned
2010-05-06 03:45 fman Assigned To => fman
2010-05-06 03:52 fman Note Added: 0009926
2010-05-06 05:32 medienwolf Note Added: 0009930
2010-05-07 01:43 fman Note Added: 0009945
2010-05-07 01:43 fman Status assigned => feedback
2010-05-26 21:24 medienwolf Note Added: 0010166
2010-05-26 21:24 medienwolf Status feedback => assigned
2010-05-27 07:38 fman Status assigned => resolved
2010-05-27 07:38 fman Fixed in Version => 1.9 Beta 5
2010-05-27 07:38 fman Resolution open => fixed
2010-07-02 18:35 fman Note Added: 0010496
2010-07-02 18:35 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker